Bug 27606 - Breadcrumbs on parcel.pl should include a link to the vendor
Summary: Breadcrumbs on parcel.pl should include a link to the vendor
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-03 16:09 UTC by Andrew Fuerste-Henry
Modified: 2021-02-18 16:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt (1.34 KB, patch)
2021-02-04 21:02 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt (1.41 KB, patch)
2021-02-05 12:24 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt (1.46 KB, patch)
2021-02-07 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-02-03 16:09:08 UTC
When receiving, we get these breadcrumbs:
Home › Acquisitions › Receive orders from My Vendor

It'd be nice if we instead had:
Home › Acquisitions › My Vendor › Receive orders

With "My Vendor" being a link to the vendor page. More like what we have when looking at a basket:
Home › Acquisitions › My Vendor › Basket Cheese Books (3) for My Vendor
Comment 1 Lucas Gass 2021-02-04 21:02:13 UTC
Created attachment 116339 [details] [review]
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt

To Test:
1. recieve an order:
When receiving, we get these breadcrumbs:
Home › Acquisitions › Receive orders from My Vendor

2. apply patch
Now we get these breadcrumbs:
Home › Acquisitions › My Vendor› Receive orders from My Vendor

3. Make sure the link sends you back to the correct vendor
Comment 2 Andrew Fuerste-Henry 2021-02-05 12:24:41 UTC
Created attachment 116392 [details] [review]
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt

To Test:
1. recieve an order:
When receiving, we get these breadcrumbs:
Home › Acquisitions › Receive orders from My Vendor

2. apply patch
Now we get these breadcrumbs:
Home › Acquisitions › My Vendor› Receive orders from My Vendor

3. Make sure the link sends you back to the correct vendor

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-02-07 10:53:51 UTC
Created attachment 116451 [details] [review]
Bug 27606: Add link back to vendor in breadcrumbs for parcel.tt

To Test:
1. recieve an order:
When receiving, we get these breadcrumbs:
Home › Acquisitions › Receive orders from My Vendor

2. apply patch
Now we get these breadcrumbs:
Home › Acquisitions › My Vendor› Receive orders from My Vendor

3. Make sure the link sends you back to the correct vendor

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-02-07 10:54:17 UTC
Love these small improvements :)
Comment 5 Jonathan Druart 2021-02-08 16:05:17 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-02-12 14:01:56 UTC
Small useful, I choose to backport.

Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-18 13:33:24 UTC
Not backporting to 20.05, but please ask if needed